Bug 227582 - [New Port] multimedia/mptsd: MPEG TS stream muxer
Summary: [New Port] multimedia/mptsd: MPEG TS stream muxer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-17 13:23 UTC by Alex Mironov
Modified: 2018-06-07 12:56 UTC (History)
0 users

See Also:


Attachments
mptsd (6.56 KB, text/plain)
2018-04-17 13:23 UTC, Alex Mironov
no flags Details
port correct version (2018-05-20) (6.39 KB, text/plain)
2018-05-20 18:25 UTC, Alex Mironov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Mironov 2018-04-17 13:23:09 UTC
Created attachment 192592 [details]
mptsd

mptsd receives mpegts streams from multicast (udp/rtp) or http and combines them into one multiple program stream that is suitable for outputing to DVB-C modulator.
Comment 1 Dmitry Marakasov freebsd_committer 2018-04-23 17:54:58 UTC
This needs some polishing

- Commented out lines should be removed
- Makefile alighment should be fixed. We use tabs of 8 character width
- Don't mix REINPLACE_CMD and patches. Actually, REINPLACE_CMD here duplicates what's already done with patches
- pkg-descr should be properly formatted (no long lines) - just run it through `fmt`
- pkg-descr should contain sensible WWW:
- patch-libtsfuncs-crc.c does not need the compilcation - just replace u_int32_t with uint32_t
- stagedir contents must match pkg-plist. Currently an extra file (%%ETCDIR%%/rc.mptsd.conf ) is installed, stage-qa would complain. You may only install mptsd*.conf instead of *.conf
- program_id handling may be simpler: remove the source patch, and in the Makefile just hardcode BUILD_ID and remove GIT_VER line. This way -DGIT_VER would be filled from VERSION.
Comment 2 Alex Mironov 2018-05-20 18:25:30 UTC
Created attachment 193572 [details]
port correct version (2018-05-20)

Fixed.
Comment 3 Dmitry Marakasov freebsd_committer 2018-06-07 12:56:58 UTC
Committed with minor changes (most notably, moved into more suitable net category, with multimedia as secondary) in r471913.